%define upstream_name    List-BinarySearch-XS
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Binary Search a sorted array with XS routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
A binary search searches _sorted_ lists using a divide and conquer
technique. On each iteration the search domain is cut in half, until the
result is found. The computational complexity of a binary search is O(log
n).

This module implements several Binary Search algorithms using XS code for
optimal performance. You are free to use this module directly, or as a
plugin for the more general the List::BinarySearch manpage.

The binary search algorithm implemented in this module is known as a
_Deferred Detection_ Binary Search. Deferred Detection provides *stable
searches*. Stable binary search algorithms have the following
characteristics, contrasted with their unstable binary search cousins:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml README Changes META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-4.mga6
+ Revision: 1029182
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-3.mga6
+ Revision: 957662
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.90.0-2.mga6
+ Revision: 844220
- Rebuild for perl 5.22

* Fri Mar 27 2015 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 819331
- imported package perl-List-BinarySearch-XS


* Fri Mar 27 2015 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
